### Method

# WebKit2 WebContext set_web_extensions_initialization_user_data

since: 2.4

#### Declaration [src]

    void
    webkit_web_context_set_web_extensions_initialization_user_data (
      WebKitWebContext* context,
      GVariant* user_data
    )

#### Description [src]

Set user data to be passed to web process extensions on initialization.

The data will be passed to the `WebKitWebExtensionInitializeWithUserDataFunction`. This method must be called before loading anything in this context, otherwise it will not have any effect. You can connect to `WebKitWebContext::initialize-web-extensions` to call this method before anything is loaded.

Available since: 2.4

#### Parameters

`user_data`

  Type: `GVariant`

  A `GVariant`.

  The data is owned by the caller of the method.